library(e1071)

## Categorical data only:
data(HouseVotes84, package = "mlbench")
trainSamples <- 200
model <- naiveBayes(Class ~ ., data = HouseVotes84[1:trainSamples,])
model
predict(model, HouseVotes84[201:435,])
predict(model, HouseVotes84[201:435,], type = "raw")[1:10,]

pred <- predict(model, HouseVotes84[201:435,])
table(pred, HouseVotes84$Class[201:435])

## Example with numerical data:
data(iris)
samp <- sample(1:nrow(iris), 0.75*nrow(iris))
m <- naiveBayes(Species ~ ., data = iris[samp,])
## alternatively:
m <- naiveBayes(iris[samp,-5], iris[samp,5])
m
table(predict(m, iris[-samp,]), iris[-samp,5])
